## meli 0.8.7+20241016+dfsg

=== debian/changelog ===
meli (0.8.7+20241016+dfsg-2) unstable; urgency=medium

  * update and unfuzz patches
  * bump build-dependencies for crate nix;
    closes: bug#1085448, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Nov 2024 09:10:23 +0100

meli (0.8.7+20241016+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + avoid using AtomicU64

  [ Jonas Smedegaard ]
  * add bug URI in DEP-3 patch header

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2024 13:46:44 +0200

meli (0.8.7+20241007+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + Rename addressbook stuff to "contacts"
    + nntp: properly return all nntp mailboxes
    + contact-editor: remove empty space
    + Add support for signatures
    + Accept newer versions of base64 dependency;
      closes: bug#1084298, thanks to Santiago Vila

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * simplify rules to no longer avoid obsolete test
  * try re-enable dh_dwz, perhaps working nowadays
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 15:28:19 +0200

meli (0.8.7+20240922+dfsg-1) unstable; urgency=medium

   [ upstream ]
  * development snapshot
    highlights:
    + view: pass filtered body to Composer as reply text
    + pgp: perform gpgme's sign+encrypt manually

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2024 18:50:31 +0200

meli (0.8.7+20240921+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + melib/utils: add fnmatch(3) interface
    + make subscribed_mailboxes conf val optional
    + fix compilation for 32-bit architectures

  [ Jonas Smedegaard ]
  * build-depend on package for crate cfg-if
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 13:26:56 +0200

meli (0.8.7+20240920+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + nntp: misc. changes
    + add patch_retrieve module
    + pgp: use default sign/encrypt keys when no keys are selected;
      closes: bug#1081747, thanks to Matthias Geiger
    + view/filters: forward events on child filters
    + file: try trimming filename if ENAMETOOLONG
    + compose/pgp: add encrypt_for_self flag
    + gpgme: add always trust flag to encrypt op
    + view/envelope: trim headers values to 3 lines maximum
    + compose: make dialogs bigger in height

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 00:35:17 +0200

meli (0.8.7+20240912+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + logging: disable `tracing` from output
    + Add transpose shortcut and tests for text field
    + melib/maildr: add rename_regex config option
    + Add human-readable identifiers in temp draft files
    + Add a "move to Trash" shortcut
    + contacts/editor: Use FormButtonAction in form
    + Add vCard exports
    + listing: add customizable view divider like sidebar's
    + Add listing.thread_layout config flag
    + view: fix nested filter jobs never being completed
    + main.rs: always send a JobFinished event to all components
    + pager.rs: don't set self dirty after filter selector

  [ Jonas Smedegaard ]
  * extend patch 2002 to include gpgm3 soname;
    closes: bug#1081198, thanks to Matthias Geiger
  * drop patch 2003, obsoleted by upstream changes
  * unfuzz patches
  * build-depend on package for crate chrono

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 02:05:45 +0200

meli (0.8.7+20240903+dfsg-2) unstable; urgency=medium

  * enable feature dbus-notifications;
    build-depend on package for crate notify-rust
  * mention NNTP in long description

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2024 11:30:41 +0200

meli (0.8.7+20240903+dfsg-1) experimental; urgency=medium

  * initial release;
    closes: bug#1001084

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Sep 2024 19:02:04 +0200
