=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+dfsg,\
mode=git,pgpmode=none,pretty=0.8.7+%cd,\
uversionmangle=s/\d\K-(alpha|beta|rc)\.?/~$1/,\
dversionmangle=auto \
https://git.meli-email.org/meli/meli.git \
HEAD
