## meli 0.8.7+20241104+dfsg

=== debian/changelog ===
meli (0.8.7+20241104+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + compose: fix add-attachment-file-picker
    + composer: add discard-draft command
    + shortcuts: add select_motion equivalent to select_entry
    + manage: parse `scroll_{left,right}` actions
    + imap: return all mailboxes, not just subscribed ones

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Nov 2024 16:57:19 +0100
