=== debian/control ===
Source: meli
Section: mail
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-assert-cmd-2+default-dev,
 librust-async-fn-stream-0.2+default-dev,
 librust-async-io-2+default-dev,
 librust-async-task-4+default-dev,
 librust-bincode-1+default-dev,
 librust-bitflags-2+default-dev,
 librust-bitflags-2+serde-dev,
 librust-cfg-if-1+default-dev,
 librust-chrono-0.4-dev,
 librust-crossbeam-0.8+default-dev,
 librust-data-encoding-2+default-dev,
 librust-encoding-0.2+default-dev,
 librust-encoding-rs-0.8+default-dev,
 librust-flate2-1+default-dev,
 librust-futures-0.3+default-dev,
 librust-imap-codec-2+default-dev,
 librust-imap-codec-2+ext-condstore-qresync-dev,
 librust-imap-codec-2+ext-id-dev,
 librust-indexmap-2+default-dev,
 librust-indexmap-2+serde-dev,
 librust-libc-0.2+default-dev,
 librust-libc-0.2+extra-traits-dev,
 librust-linkify-0.9+default-dev,
 librust-native-tls-0.2+default-dev,
 librust-nix-0.29+dir-dev,
 librust-nix-0.29+fs-dev,
 librust-nix-0.29+hostname-dev,
 librust-nix-0.29+ioctl-dev,
 librust-nix-0.29+poll-dev,
 librust-nix-0.29+process-dev,
 librust-nix-0.29+signal-dev,
 librust-nix-0.29+socket-dev,
 librust-nix-0.29+term-dev,
 librust-nom-7+default-dev,
 librust-notify-rust-4+default-dev,
 librust-notify-6+default-dev,
 librust-num-cpus-1+default-dev,
 librust-pcre2-0.2+default-dev,
 librust-polling-3+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-rusqlite-0.29+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+rc-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-serde-json-1+raw-value-dev,
 librust-serde-path-to-error-0.1+default-dev,
 librust-signal-hook-0.3+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smol-2+default-dev,
 librust-socket2-0.5+default-dev,
 librust-stderrlog-0.5+default-dev,
 librust-structopt-0.3-dev,
 librust-syn-1+default-dev,
 librust-tempfile-3+default-dev,
 librust-termion-1+default-dev,
 librust-toml-0.8+display-dev,
 librust-toml-0.8+parse-dev,
 librust-toml-0.8+preserve-order-dev,
 librust-unicode-segmentation-1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev,
 librust-uuid-1+v5-dev,
 librust-xdg-2+default-dev,
 mandoc,
Standards-Version: 4.7.0
Homepage: https://meli-email.org/
Vcs-Git: https://salsa.debian.org/debian/meli.git
Vcs-Browser: https://salsa.debian.org/debian/meli
Rules-Requires-Root: no

Package: meli
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 default-dbus-session-bus | dbus-session-bus,
 libgpgme11,
 libnotmuch5,
 mailcap,
 python3-pygments,
 w3m,
Suggests:
 default-mta | mail-transport-agent,
 gnupg,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: terminal mail client
 meli is a terminal email client with support for multiple accounts,
 and for Maildir, mbox, notmuch, IMAP and NNTP (Usenet).
