## meli 0.8.9+dfsg

=== debian/changelog ===
meli (0.8.9+dfsg-4) unstable; urgency=medium

  * enable feature jmap:
    + drop patch 2001_isahc
    + build-depend on packages for crates isahc url
    + extend long description
  * add patch 2003 to generate unicode tables during build;
    build-depend on unicode-data;
    avoid pregenerated data when repackaging upstream source

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Dec 2024 16:54:14 +0100

meli (0.8.9+dfsg-3) unstable; urgency=medium

  * drop workaround for missing crate sealed_test,
    potentially causing a test failure on arches armel armhf powerpc

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 10:39:08 +0100

meli (0.8.9+dfsg-2) unstable; urgency=medium

  * extend patch 2001_sealed_test to cover sqlite3 test
  * avoid checking tests in parallel,
    as workaround for missing crate sealed_test

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2024 12:44:25 +0100

meli (0.8.9+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: track releases (not git commits)
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 23:53:13 +0100

meli (0.8.8+20241126+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + accounts: suggest tips on mailbox_by_path error
    + fix reindex of previously indexed account with sqlite3 backend
    + fix some compilation errors with cfg feature attrs
    + fix crash on saving contact
    + update futures-util dep, remove stderrlog dep
    + remove obsolete "encoding" dependency
    + melib/gpgme bindings renewal

  [ Jonas Smedegaard ]
  * unfuzz patches
  * build-depend on packages for crate aho-corasick (not encoding stderrlog)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 11:53:32 +0100

meli (0.8.8+20241124+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + conf/terminal: fix serde of ProgressSpinnerSequence
    + terminal: fix Synchronized Output response parsed as input
    + melib/utils: fix test_fd_locks() on platforms without OFD support
    + meli/accounts: use Arc<str> for account name
    + melib: use Vec instead of SmallVec for search results
    + melib/collection:
      ensure mailbox exists when inserting new envelopes
    + meli/docs/meli.conf.examples.5: fix .Dt macro arguments
    + meli/docs: add meli.conf.examples to CLI and tests

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 03:39:14 +0100
