=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-rust,
+ librust-aho-corasick-1+default-dev,
  librust-assert-cmd-2+default-dev,
  librust-async-fn-stream-0.2+default-dev,
  librust-async-io-2+default-dev,
@@ -16,7 +17,6 @@
  librust-chrono-0.4-dev,
  librust-crossbeam-0.8+default-dev,
  librust-data-encoding-2+default-dev,
- librust-encoding-0.2+default-dev,
  librust-encoding-rs-0.8+default-dev,
  librust-flate2-1+default-dev,
  librust-futures-0.3+default-dev,
@@ -25,6 +25,9 @@
  librust-imap-codec-2+ext-id-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
+ librust-isahc-1+http2-dev,
+ librust-isahc-1+json-dev,
+ librust-isahc-1+text-decoding-dev,
  librust-libc-0.2+default-dev,
  librust-libc-0.2+extra-traits-dev,
  librust-linkify-0.9+default-dev,
@@ -57,7 +60,6 @@
  librust-smallvec-1+serde-dev,
  librust-smol-2+default-dev,
  librust-socket2-0.5+default-dev,
- librust-stderrlog-0.5+default-dev,
  librust-structopt-0.3-dev,
  librust-syn-1+default-dev,
  librust-tempfile-3+default-dev,
@@ -66,12 +68,15 @@
  librust-toml-0.8+parse-dev,
  librust-toml-0.8+preserve-order-dev,
  librust-unicode-segmentation-1+default-dev,
+ librust-url-2+default-dev,
+ librust-url-2+serde-dev,
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
  librust-uuid-1+v4-dev,
  librust-uuid-1+v5-dev,
  librust-xdg-2+default-dev,
  mandoc,
+ unicode-data,
 Standards-Version: 4.7.0
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
@@ -99,4 +104,6 @@
  ${cargo:Static-Built-Using},
 Description: terminal mail client
  meli is a terminal email client with support for multiple accounts,
- and for Maildir, mbox, notmuch, IMAP and NNTP (Usenet).
+ for Maildir, mbox content storage,
+ for notmuch metadata storage,
+ and for IMAP, JMAP and NNTP (Usenet) protocols.
