## meli 0.8.10+dfsg

=== debian/changelog ===
meli (0.8.10+dfsg-4) unstable; urgency=medium

  * fix author of patch 2001_imap-codec

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 12:59:03 +0100

meli (0.8.10+dfsg-3) unstable; urgency=medium

  * add patch 2001-imap-codec
    to use recent development snapshots of crate imap-codec;
    tighten build-dependency for crate imap-codec;
    closes: bug#1098847, thanks to Yue Gui
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 12:51:34 +0100

meli (0.8.10+dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to purge subprocess envs in tests;
    closes: bug#1091073,
    thanks to Lucas Nussbaum and Manos Pitsidianakis
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 01:37:20 +0100

meli (0.8.10+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#1088756, #1089094, thanks to Matthias Geiger

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on package for crate rusty-fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Dec 2024 19:52:53 +0100
