=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  librust-flate2-1+default-dev,
  librust-futures-0.3+default-dev,
  librust-imap-codec-2+default-dev,
- librust-imap-codec-2+ext-condstore-qresync-dev,
+ librust-imap-codec-2+ext-condstore-qresync-dev (>= 2.0.0~alpha5+20250118),
  librust-imap-codec-2+ext-id-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
@@ -49,6 +49,7 @@
  librust-polling-3+default-dev,
  librust-proc-macro2-1+default-dev,
  librust-rusqlite-0.29+default-dev,
+ librust-rusty-fork-0.3+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+rc-dev,
  librust-serde-derive-1+default-dev,
@@ -77,7 +78,7 @@
  librust-xdg-2+default-dev,
  mandoc,
  unicode-data,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
 Vcs-Browser: https://salsa.debian.org/debian/meli
