## meli 0.8.11+dfsg

=== debian/changelog ===
meli (0.8.11+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2025 00:17:44 +0200

meli (0.8.10+dfsg-8) unstable; urgency=medium

  * check tests unoptimized on weak archs
  * stop relaxing optimizations for weak archs

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Apr 2025 05:29:09 +0200

meli (0.8.10+dfsg-7) unstable; urgency=medium

  * extend patch 2004 to patch out all upstream optimizations;
    flip around build flags
    to re-apply upstream most patched-out optimizations
    except on weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Apr 2025 21:51:18 +0200

meli (0.8.10+dfsg-6) unstable; urgency=medium

  * adjust build flags
    to reduce risk of out-of-memory build issues on weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 12:23:18 +0200

meli (0.8.10+dfsg-5) unstable; urgency=medium

  * add patch 2004
    to avoid hardcoding default options interfering with debhelper;
    closes: bug#1101077, thanks to Matthias Geiger
  * declare compliance with Debian Policy 4.7.2
   
  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 13:31:57 +0100
