=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
  librust-xdg-2+default-dev,
  mandoc,
  unicode-data,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
 Vcs-Browser: https://salsa.debian.org/debian/meli
