=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+dfsg,\
uversionmangle=s/\d\K-(alpha|beta|rc)\.?/~$1/,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
dversionmangle=auto \
https://git.meli-email.org/meli/meli/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
