## meli 0.8.12%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,18 @@
 
 UNICODE_REGENERATE_TABLES=true
 
+TEST_BROKEN = \
+ mail::compose::hooks::tests::test_draft_hook_datewarn
+
 %:
 	dh $@
+
+# avoid optimization on weak arches to not run out of memory
+override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf i386 mips64el powerpc riscv64))
+	DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust -- \
+	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+else
+	dh_auto_test --buildsystem rust -- \
+	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+endif
