## meli 0.8.12%2bdfsg

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: meli
Project: meli
Dversion-Mangle: auto
Repacksuffix: +dfsg
# mangle dot- or dash-versioned prereleases (see bug#1112452)
Uversion-Mangle: s/\d\K[_.+-]?((?i)dev|pre|alpha|beta|rc)[.-]?/~$1/
