=== debian/changelog ===
meli (0.8.12+dfsg-8) unstable; urgency=medium

  * add patch cherry-picked upstream
    to remove tz arg in gettimeofday;
    check all tests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 22:54:18 +0100

meli (0.8.12+dfsg-7) unstable; urgency=medium

  * build-depend on rustfmt

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 20:22:56 +0100

meli (0.8.12+dfsg-6) unstable; urgency=medium

  * skip test test_draft_hook_datewarn

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 16:00:32 +0100

meli (0.8.12+dfsg-5) unstable; urgency=medium

  * fix declare built-using: unicode-data;
    build-depend on dh-sequence-builtusing

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:43:32 +0100

meli (0.8.12+dfsg-4) unstable; urgency=medium

  * drop patch 2001_linkify,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate linkify
  * declare built-using: unicode-data
  * add patch cherry-picked upstream
    to use newer minor version of crate nix;
    tighten build-dependencies for crate nix;
    closes: bug#1116528, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:15:40 +0100

meli (0.8.12+dfsg-3) unstable; urgency=medium

  * add patch 1001_assert_cmd
    to accept newer revisions of crate assert_cmd,
    replacing patch 2001_assert_cmd
  * update DEP-3 patch headers
  * relax build-dependency for crate linkify
  * add patch 1001_notify
    to accept newer major versions of crate notify;
    bump build-dependency for crate notify;
    closes: bug#1115273, thanks to NoisyCoil
  * add patch cherry-picked upstream
    to use 127.0.0.1 in tests (not 0.0.0.0)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 22:15:36 +0200

meli (0.8.12+dfsg-2) unstable; urgency=medium

  * add patch 2004_no_jmap_server_test
    to skip by default a test requiring a locally running jmap server
  * update watch file: improve mangling of upstream version

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Aug 2025 16:20:08 +0200

meli (0.8.12+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on libstd-rust-dev
  * update watch file: use file format 5
  * update DEP-3 patch headers
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 15:47:22 +0200
