=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-builtusing,
  dh-sequence-rust,
  librust-aho-corasick-1+default-dev,
  librust-assert-cmd-2+default-dev,
@@ -30,20 +31,20 @@
  librust-isahc-1+text-decoding-dev,
  librust-libc-0.2+default-dev,
  librust-libc-0.2+extra-traits-dev,
- librust-linkify-0.9+default-dev,
+ librust-linkify-0.10-dev,
  librust-native-tls-0.2+default-dev,
- librust-nix-0.29+dir-dev,
- librust-nix-0.29+fs-dev,
- librust-nix-0.29+hostname-dev,
- librust-nix-0.29+ioctl-dev,
- librust-nix-0.29+poll-dev,
- librust-nix-0.29+process-dev,
- librust-nix-0.29+signal-dev,
- librust-nix-0.29+socket-dev,
- librust-nix-0.29+term-dev,
+ librust-nix-0.30+dir-dev,
+ librust-nix-0.30+fs-dev,
+ librust-nix-0.30+hostname-dev,
+ librust-nix-0.30+ioctl-dev,
+ librust-nix-0.30+poll-dev,
+ librust-nix-0.30+process-dev,
+ librust-nix-0.30+signal-dev,
+ librust-nix-0.30+socket-dev,
+ librust-nix-0.30+term-dev,
  librust-nom-7+default-dev,
  librust-notify-rust-4+default-dev,
- librust-notify-6+default-dev,
+ librust-notify-8+default-dev,
  librust-num-cpus-1+default-dev,
  librust-pcre2-0.2+default-dev,
  librust-polling-3+default-dev,
@@ -76,7 +77,9 @@
  librust-uuid-1+v4-dev,
  librust-uuid-1+v5-dev,
  librust-xdg-2+default-dev,
+ libstd-rust-dev,
  mandoc,
+ rustfmt,
  unicode-data,
 Standards-Version: 4.7.2
 Homepage: https://meli-email.org/
@@ -101,6 +104,7 @@
  gnupg,
 Built-Using:
  ${cargo:Built-Using},
+ ${dh-builtusing:unicode-data},
 Static-Built-Using:
  ${cargo:Static-Built-Using},
 Description: terminal mail client
