=== debian/rules ===
--- 
+++ 
@@ -12,18 +12,13 @@
 
 UNICODE_REGENERATE_TABLES=true
 
-TEST_BROKEN = \
- mail::compose::hooks::tests::test_draft_hook_datewarn
-
 %:
 	dh $@
 
 # avoid optimization on weak arches to not run out of memory
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf i386 mips64el powerpc riscv64))
-	DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust -- \
-	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+	DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust
 else
-	dh_auto_test --buildsystem rust -- \
-	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+	dh_auto_test --buildsystem rust
 endif
