## meli 0.8.13+dfsg

=== debian/changelog ===
meli (0.8.13+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update watch file: use Uversion-Mangle: auto
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 09:38:22 +0100

meli (0.8.12+dfsg-9) unstable; urgency=medium

  * add patch 1001_async-fn-stream
    to accept newer minor version of crate async-fn-stream;
    relax build-dependency for crate async-fn-stream

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Dec 2025 20:17:31 +0100
