=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: meli
 Section: mail
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
@@ -8,7 +7,7 @@
  dh-sequence-rust,
  librust-aho-corasick-1+default-dev,
  librust-assert-cmd-2+default-dev,
- librust-async-fn-stream-0.2+default-dev,
+ librust-async-fn-stream-dev (<< 0.4),
  librust-async-io-2+default-dev,
  librust-async-task-4+default-dev,
  librust-bincode-1+default-dev,
@@ -81,11 +80,10 @@
  mandoc,
  rustfmt,
  unicode-data,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
 Vcs-Browser: https://salsa.debian.org/debian/meli
-Rules-Requires-Root: no
 
 Package: meli
 Architecture: any
